* Last processed by NICE on 12-Jun-2000 15:53:00
* Customized for :  IEEE, LINUX, UNIX, MOTIF, F77
      SUBROUTINE HEADER_RA
C----------------------------------------------------------------------
C POINTING
C	Read CLASS ANALYSE\PRINT POINTING output files
C
C----------------------------------------------------------------------
      CHARACTER*80 CHAIN
*
* Skip header lines (4)
      READ(2,*)
      READ(2,*)
      READ(2,*)
      READ(2,'(A)') CHAIN
      END
*<FF>
      SUBROUTINE HEADER_OP
C----------------------------------------------------------------------
C POINTING
C	Read optical data files.
C----------------------------------------------------------------------
      CHARACTER*80 CHAIN
      CHARACTER*3 STATION(4)
      INTEGER I,LENC,IANT
*
      READ(2,'(A)') CHAIN                ! Antenna and Station
      CALL SIC_UPPER (CHAIN)
*
* Single-dish format
      WRITE(6,*) 'I-POINTING,  Reading optical data file'
      IF (INDEX(CHAIN,'ANT').NE.0) THEN
         WRITE(6,'(1x,a,a)') 'I-POINTING,  Found single antenna data '
     $   ,CHAIN(1:LENC(CHAIN))
      ELSE
         WRITE(6,'(1x,a,a)') 'I-POINTING,  Found multi-antenna data '
     $   ,CHAIN(1:LENC(CHAIN))
         READ(2,*)                       ! Plateau de Bure coordinates
         DO I=1,4
            READ(2,'(A)') CHAIN
            STATION(I) = CHAIN(12:14)
            READ(2,*)                    ! IAZ IEL
            READ(2,*)                    ! etc...
            READ(2,*)                    ! etc...
            READ(2,*)                    ! etc...
         ENDDO
         IANT = 0
         DO I=1,4
            IF (STATION(I).NE.'0  ') THEN
               IANT = IANT+1
            ENDIF
         ENDDO
         IF (IANT.EQ.0) THEN
            WRITE(6,*) 'E-POINTING,  No antenna on station'
         ELSE
            DO I=1,4
               IF (STATION(I).NE.'0  ') THEN
                  WRITE(6,'(1X,A,I1,A,A)') 'I-POINTING,  Antenna ',
     $            I,' on station ',STATION(I)
               ENDIF
            ENDDO
         ENDIF
      ENDIF
      END
*<FF>
      SUBROUTINE HEADER_IN
C----------------------------------------------------------------------
C POINTING
C	Read CLIC SOLVE POINTING /OUTPUT output files
C
C----------------------------------------------------------------------
      END
